Llogaters
Actualitzar un arrendatari
Actualitza el nom d’un tenant existent. L’actualització del nom del tenant també actualitza el nom de l’organització relacionada.
PUT
/
v1
/
organizations
/
{organization_id}
/
tenants
/
{tenant_id}
Actualitzar un arrendatari
curl --request PUT \
--url https://api.flexxible.net/v1/organizations/{organization_id}/tenants/{tenant_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Tenant de Produccion Actualizado"
}
'import requests
url = "https://api.flexxible.net/v1/organizations/{organization_id}/tenants/{tenant_id}"
payload = { "name": "Tenant de Produccion Actualizado" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Tenant de Produccion Actualizado'})
};
fetch('https://api.flexxible.net/v1/organizations/{organization_id}/tenants/{tenant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organization_id": "<string>",
"create_date": "2023-11-07T05:31:56Z",
"name": "<string>",
"region": "<string>",
"product_id": "<string>",
"policy_id": "<string>"
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}Autoritzacions
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Paràmetres de ruta
L'identificador únic de l'organització propietària del tenant
Maximum string length:
24Pattern:
^[0-9a-f]{24}$L'identificador únic del tenant a actualitzar
Maximum string length:
24Pattern:
^[0-9a-f]{24}$Cos
application/json
Maximum string length:
512Resposta
Nom del tenant actualitzat correctament. El nom de l'organització relacionada també s'ha actualitzat. La resposta conté el recurs actualitzat.
⌘I
Actualitzar un arrendatari
